Create a Field for a Life Stage Section for a Firm Run in API Explorer
Ask AI
POST
/api/v1/expenditure-structure/field
curl \
--request POST 'https://api.plannrcrm.com/api/v1/expenditure-structure/field' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Electricity",
"life_stage_section_uuid": "a1a9a2d6-9f8b-42b6-8054-fbf09c3b051e"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Electricity",
"life_stage_section_uuid": "a1a9a2d6-9f8b-42b6-8054-fbf09c3b051e"
}
Response examples (200)
[
{
"uuid": "ccd72181-a40f-438e-8241-cbb2c496c74b",
"name": "Electricity",
"section": "Housekeeping Expenses",
"created_at": "2026-11-18T20:11:42+00:00",
"updated_at": "2026-11-18T20:11:42+00:00"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}